## IAnjutaLanguage IAnjutaLanguage — Interface to manager multiple programming languages |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-language.h>

    #define             IANJUTA_LANGUAGE_ERROR
                        IAnjutaLanguage;
                        IAnjutaLanguageIface;
    typedef             IAnjutaLanguageId;
    GQuark              ianjuta_language_error_quark        (void);
    IAnjutaLanguageId   ianjuta_language_get_from_editor    (IAnjutaLanguage *obj,
                                                             IAnjutaEditorLanguage *editor,
                                                             GError **err);
    IAnjutaLanguageId   ianjuta_language_get_from_mime_type (IAnjutaLanguage *obj,
                                                             const gchar *mime_type,
                                                             GError **err);
    IAnjutaLanguageId   ianjuta_language_get_from_string    (IAnjutaLanguage *obj,
                                                             const gchar *string,
                                                             GError **err);
    const gchar*        ianjuta_language_get_name           (IAnjutaLanguage *obj,
                                                             IAnjutaLanguageId id,
                                                             GError **err);
    const gchar*        ianjuta_language_get_name_from_editor
                                                            (IAnjutaLanguage *obj,
                                                             IAnjutaEditorLanguage *editor,
                                                             GError **err);
    GList*              ianjuta_language_get_strings        (IAnjutaLanguage *obj,
                                                             IAnjutaLanguageId id,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaLanguage

## Prerequisites

IAnjutaLanguage requires GObject.

## Description

## Details

### IANJUTA_LANGUAGE_ERROR

    #define IANJUTA_LANGUAGE_ERROR ianjuta_language_error_quark()

### IAnjutaLanguage

    typedef struct _IAnjutaLanguage IAnjutaLanguage;

### IAnjutaLanguageIface

    typedef struct {
    	GTypeInterface g_iface;

    	IAnjutaLanguageId (*get_from_editor) (IAnjutaLanguage *obj, IAnjutaEditorLanguage* editor, GError **err);
    	IAnjutaLanguageId (*get_from_mime_type) (IAnjutaLanguage *obj, const gchar* mime_type, GError **err);
    	IAnjutaLanguageId (*get_from_string) (IAnjutaLanguage *obj, const gchar* string, GError **err);
    	const gchar* (*get_name) (IAnjutaLanguage *obj, IAnjutaLanguageId id, GError **err);
    	const gchar* (*get_name_from_editor) (IAnjutaLanguage *obj, IAnjutaEditorLanguage* editor, GError **err);
    	GList* (*get_strings) (IAnjutaLanguage *obj, IAnjutaLanguageId id, GError **err);
    } IAnjutaLanguageIface;

### IAnjutaLanguageId

    typedef gint IAnjutaLanguageId;

### ianjuta_language_error_quark ()

    GQuark              ianjuta_language_error_quark        (void);

Returns : |

### ianjuta_language_get_from_editor ()

    IAnjutaLanguageId   ianjuta_language_get_from_editor    (IAnjutaLanguage *obj,
                                                             IAnjutaEditorLanguage *editor,
                                                             GError **err);

`obj` : |
`editor` : |
`err` : |
Returns : |

### ianjuta_language_get_from_mime_type ()

    IAnjutaLanguageId   ianjuta_language_get_from_mime_type (IAnjutaLanguage *obj,
                                                             const gchar *mime_type,
                                                             GError **err);

`obj` : |
`mime_type` : |
`err` : |
Returns : |

### ianjuta_language_get_from_string ()

    IAnjutaLanguageId   ianjuta_language_get_from_string    (IAnjutaLanguage *obj,
                                                             const gchar *string,
                                                             GError **err);

`obj` : |
`string` : |
`err` : |
Returns : |

### ianjuta_language_get_name ()

    const gchar*        ianjuta_language_get_name           (IAnjutaLanguage *obj,
                                                             IAnjutaLanguageId id,
                                                             GError **err);

`obj` : |
`id` : |
`err` : |
Returns : |

### ianjuta_language_get_name_from_editor ()

    const gchar*        ianjuta_language_get_name_from_editor
                                                            (IAnjutaLanguage *obj,
                                                             IAnjutaEditorLanguage *editor,
                                                             GError **err);

`obj` : |
`editor` : |
`err` : |
Returns : |

### ianjuta_language_get_strings ()

    GList*              ianjuta_language_get_strings        (IAnjutaLanguage *obj,
                                                             IAnjutaLanguageId id,
                                                             GError **err);

`obj` : |
`id` : |
`err` : |
Returns : |